Remo Remo - 5 months ago 8
Ruby Question

How to figure out the exact ruby version that jRuby is compatible with

When updating jRuby, I'm always having a look at their release notes to figure out which ruby syntax I'm able to use. Quite recently, the change logs just say Ruby 2.x compatibility. Is there a way or place to find out against which exact ruby version it is compatible? I.e. ruby 2.2 differs from 2.3 quite a lot. Why are they just writing 2.x?

Answer

When you do a

jruby --version

two version identifiers are printed. The first one gives the jRuby version, and the second one gives the Ruby language version which this jRuby is based on.

Comments